{% load i18n static %}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
    <head>
        <title>{% block title %}DebConf Volunteers - Conquer the chaos!{% endblock %}</title>

        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <script src="{{ STATIC_URL }}js/debconf16-volunteer.min.js"></script>
        <link href="{{ STATIC_URL }}css/debconf16-volunteer.min.css" rel="stylesheet" media="screen">
        <link rel="shortcut icon" type="image/x-icon" href="{{ STATIC_URL }}img/favicon.ico">
        {% block extra_header %}{% endblock extra_header %}
    </head>
    <body>
        {% if not is_popup %}
            {% block top_nav %}
                <aside id="top-nav">
                    <div class="{{ container_size|default:'container' }}">
                        <section id="top-login">
                            {% block top_nav_login_links_oauth2 %}
                                {% if user.is_authenticated %}
                                    Logged in as:
                                        {{ user.email }}
                                        <span class="top-login-separator">|</span>
                                        {% if user.is_staff %}
                                            <a class="top-login-item" href="/admin" title="Admin">Admin</a>
                                            <span class="top-login-separator">|</span>
                                        {% endif %}
                                        <a class="top-login-item" href="/" title="DebConf16">DebConf16 site</a>
                                {% else %}
                                    <a class="top-login-item" href="{{login_url}}?next={{login_next}}" title="Log In">Log in</a>
                                {% endif %}
                            {% endblock %}
                        </section>
                    </div>
                </aside>
            {% endblock %}
        {% endif %}


        {% if messages %}
        <div id="top">
          <ul class="messages">
            {% for message in messages %}
            <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
            {% endfor %}
          </ul>
        </div>
        {% endif %}
        <div id="{{ container_size|default:'container' }}">
            <div id="header">
                <h2 class="intro mobile-intro"><a href="{% url 'promo' %}"><span>DebConf</span></a></h2>
                <span class="menu-button">&#9776;</span>
                <nav class="list" id="nav1">
                    <ul class="nav">
                        <li><a href="{% url 'promo' %}"><span>{% trans 'Home' %}</span></a></li>
                        {% if user.is_authenticated and volunteer %}
                            <li><a href="{% url 'userena_profile_list' %}"><span>{% trans 'Profiles' %}</span></a></li>
                        {% endif %}
                        <li><a href="{% url 'faq' %}"><span>{% trans 'FAQ' %}</span></a></li>
                        {% if user.is_authenticated and volunteer %}
                            <li><a href="{% url 'grid_today' %}"><span>{% trans 'TODAY' %}</span></a></li>
                            <li><a href="{% url 'task_list' %}"><span>{% trans 'Tasks' %}</span></a></li>
                        {% else %}
                                <li><a href="{% url 'signup' %}"><span>{% trans 'Be volunteer!' %}</span></a></li>
                        {% endif %}
                    </ul>
                </nav>
            
                {% block nav %}
                <ul id="nav">
                    <li><a href="{% url 'promo' %}"><span>{% trans 'Home' %}</span></a></li>
                    {% if user.is_authenticated and volunteer %}
                        <li><a href="{% url 'userena_profile_list' %}"><span>{% trans 'Profiles' %}</span></a></li>
                    {% endif %}
                    <li><a href="{% url 'faq' %}"><span>{% trans 'FAQ' %}</span></a></li>
                    {% if user.is_authenticated and volunteer %}
                        <li><a href="{% url 'grid_today' %}"><span>{% trans 'TODAY' %}</span></a></li>
                        <li><a href="{% url 'task_list' %}"><span>{% trans 'Tasks' %}</span></a></li>
                    {% else %}
                        <li><a href="{% url 'signup' %}"><span>{% trans 'Be volunteer!' %}</span></a></li>
                    {% endif %}
                </ul>
                {% endblock %}
                {% if not user.is_authenticated or not volunteer %}
                <div id="try"></div>
                {% endif %}

            </div>
            {% block content_title %}{% endblock %}
            <div id="content-container">
                {% block content %}{% endblock %}
            </div><!-- /content-container-->

            <div id="footer"><p>Built by FOSDEM volunteers for FOSDEM volunteers!</br>Adapted by DebConf volunteers for DebConf volunteers!</br><a href="https://alioth.debian.org/scm/browser.php?group_id=30975">volunteer sources</a></p></div>
        </div><!-- /container-->
    </body>
 </html>
